using System;
using System.Collections.Generic;
using System.Text;
using System.Xml;

namespace Winsmarts.RSSRender
{
    internal class RssItem
    {
        private string title;
        private string href;

        public string Href
        {
            get { return href; }
        }
	
        public string Title
        {
            get { return title; }
        }
	
        internal RssItem()
        {
            title = "Feed not available at this time" ;
            href = "~" ;
        }

        internal RssItem(XmlNode xNode)
        {
            title = xNode.SelectSingleNode("./title").InnerText;
            href = xNode.SelectSingleNode("./link").InnerText;
        }
    }
}
